;                      Configure the 2000F I/O Processor.
;
;
; This include file configures the I/O card cage in the I/O Processor to
; contain the necessary device interfaces in the proper select code slots.  It
; is invoked by the "iopload.inc" and "iopdump.inc" command files, as follows:
;
;    do iopconfig.inc <cpu-model>
;
; ...where <cpu-model> is the specific CPU model to simulate (2100 or 21MX).
; This file is never invoked directly by the user.
;
; These device assignments are listed in the "Time-Shared BASIC/2000, Level F
; System Operator's Manual" (HP part number 02000-90074, November 1974):
;
;    SC  Device  Interface Description
;    --  ------  --------------------------------------------------------
;    10   IPLI   12875A Processor Interconnect Lower Data PCA
;    11   IPLO   12875A Processor Interconnect Upper Data PCA
;    12   TBG    12539C Time Base Generator Interface
;    13   MUXL   12920A Asynchronous Multiplexer Interface Lower Data PCA
;    14   MUX    12920A Asynchronous Multiplexer Interface Upper Data PCA
;    15   MUXC   12920A Asynchronous Multiplexer Interface Control PCA
;    16   LPS    12653A Line Printer Interface


; Configure the I/O Processor CPU.

set CPU %1,8K


; Configure the I/O card cage.
;
; Enable and assign the select codes of the required devices.

set ALL  DISABLED

set IPL  ENABLED,SC=10
set TBG  ENABLED,SC=12
set MUX  ENABLED,SC=13
set MUXM ENABLED,SC=15
set LPS  ENABLED,SC=16


; Display the I/O configuration to the system operator.

show CPU IOCAGE
echo
