;              Automatically HIBERNATE or SLEEP the 2000F system.
;
;
; This include file provides the automatic responses necessary to HIBERNATE or
; SLEEP the system to magnetic tape.  It is invoked by the "tsb-auto" command
; file when the "CHANGE MAG TAPE TO AUTO" prompt is issued by the operating
; system, as follows:
;
;    do shutdown.inc <disc-model> [ <drum-model> ]
;
; This file is never invoked directly by the user.
;
;
; NOTES:
;
;  - See the comments at the end of the "tsb-auto.sim" file for the rationale
;    for responding to the HIBERNATE or SLEEP prompt in this manner.


; The "CHANGE MAG TAPE TO AUTO" prompt is followed immediately by a HLT 44B, so
; resume execution and then verify that the CPU halts as expected.

go

assert T=102044


; Mount the HIBERNATE tape image on the 7970 configured as unit 0.

if "%2" == "" attach MSC0 HIBERNATE-%1.tape
if "%2" != "" attach MSC0 HIBERNATE-%1-%2.tape


; Continue to HIBERNATE or SLEEP the system.
;
; Now that the magnetic tape unit is online, the system will be copied to the
; tape image.  At the completion of the copy, the system will ask if the tape
; is to be verified.

go until "VERIFY? " ; reply "YES\r"
go


; Verify that we had a successful shutdown.

assert T=102077

exit
